Skip to main content
GET

Authorizations

x-vital-api-key
string
header
required

Vital Team API Key

Query Parameters

lab_test_limit
integer
default:50
next_cursor
string | null

The cursor for fetching the next page, or null to fetch the first page.

generation_method
enum<string>
default:manual

Filter on whether auto-generated lab tests created by Vital, manually created lab tests, or all lab tests should be returned.

Available options:
auto,
manual,
all
lab_slug
string | null

Filter by the slug of the lab for these lab tests.

collection_method
enum<string> | null

Filter by the collection method for these lab tests. The method used to perform a lab test. ℹ️ This enum is non-exhaustive.

Available options:
testkit,
walk_in_test,
at_home_phlebotomy,
on_site_collection
status
enum<string> | null

Filter by the status of these lab tests. ℹ️ This enum is non-exhaustive.

Available options:
active,
pending_approval,
inactive
marker_ids
integer[] | null

Filter to only include lab tests containing these marker IDs.

provider_ids
string[] | null

Filter to only include lab tests containing these provider IDs.

name
string | null

Filter by the name of the lab test (a case-insensitive substring search).

order_key
enum<string> | null
Available options:
price,
created_at,
updated_at
order_direction
enum<string>
default:asc
Available options:
asc,
desc

Response

Successful Response

data
ClientFacingLabTest · object[]
required
next_cursor
string | null
required

The cursor for fetching the next page, or null to fetch the first page.